<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <meta charset="utf-8">
</head>
<body>
<?php

$i = 1;
$c = '';
$str = '';
echo '<h1>Emails Resend</h1>';

do {
switch ($i) {
   case 1:
         $c = 'Real Estate Site';
         $site = 'realestate'; // if you have only one site, use replace with www and delete case switch options bellow.
         $dbname = 'DB1';  // database name
         $username = 'UserDB1'; // user for database, with admin privileges
         $password = 'mypassword'; // database password. Add this line to switch options bellow, if you do not have same "defaultDBpassword"
         break;
   case 2:
         $c = 'Cars Site';
         $site = 'cars';
         $dbname = 'DB2';
         $username = 'UserDB2';
         break;
   case 3:
         $c = 'Jobs Site';
         $site = 'jobs';
         $dbname = 'DB3';
         $username = 'UserDB3';
         break;        
}
    Ads_Verification_Email($site, $dbname, $username); // Verify email for ads
    Account_Verification_Email($site, $dbname, $username); // Verify email for users
    echo $i . ' - '. $c . '<br/>';
    echo "<hr>";
    $i = $i + 1;
} while ($i <= 3); // change accordingly with actual switch options above 

function Ads_Verification_Email($site, $dbname, $username, $password = 'defaultDBpassword')
{
    $servername = 'localhost';
    $con = new mysqli($servername, $username, $password, $dbname);
    // Check connection
    if ($con->connect_error) {
        die("Connection failed: " . $con->connect_error);
    }
    // Build search criterias for ads not verified
    $now = date('Y-m-d H:i:s',strtotime( 'now' ));
    $now2 = date('Y-m-d  H:i:s', strtotime($now . ' - 2 day')); // Ads post X days ago 
    $now2_time = strtotime($now2);
    $verify = "((`verified`<>'0') and (`verified`<>'1'))";  // Ads not verified yet (neither for admin nor for user)
    $date_limit = "(`added_at` <= '". $now2_time ."')";
    $sql = "SELECT * FROM `cb_ad` WHERE (". $verify . " and ". $date_limit .")";
    $result = $con->query($sql);
    $row_cnt = $result->num_rows;
    if ($result->num_rows > 0) {
        // output data of each row        
        while($row = $result->fetch_assoc()) {
            $message = "Dear User,\n
In due course we sent you the validation link for your ad '". $row["title"] ."'.\n
Only after validation of your e-mail, your ad will be activated on our web site.
To this end, we send the\n
Activation link:\n"; 
            $message .= "http://". $site .".mysite.com/post/activate/". $row["id"] ."/". $row["verified"] ."/\n\n";
            $message .= "If the link is not working copy and past the link to your browser's address bar.\n\n";
            $message .= "If you have any difficulty, please do not hesitate to contact us.\n
NOTE: All ads not activated within 7 days will be deleted.\n
Sincerely,\n
MySite Team
http://mysite.com/\n\n\n";
            $subject = "About your ad '". $row["title"] ."'";
            $sender = "mysite.com";
            $sender_email = "noreply@mysite.com";
            $to = $row["email"]; // $row["email"]
            $header = "From: " . $sender . " <" . $sender_email . ">\n";
            $header .= "Return-Path: $sender_email\n";           
            $message = stripslashes($message);
            $subject = stripslashes($subject);
            mail_utf8($to, $subject, $message, $header);
        }
        echo $row_cnt ." Resend Email (Ads)<br>";
    } else {
        echo "0 Resend Email (Ads)<br>";
    }
    $con->close();   
}

function Account_Verification_Email($site, $dbname, $username, $password = 'defaultDBpassword')
{
    $servername = 'localhost';
    $con = new mysqli($servername, $username, $password, $dbname);
    // Check connection
    if ($con->connect_error) {
        die("Connection failed: " . $con->connect_error);
    }
    // Build search criterias for accounts not verified
    $now = date('Y-m-d H:i:s',strtotime( 'now' ));
    $now2 = date('Y-m-d  H:i:s', strtotime($now . ' - 2 day')); // Accounts created X days ago 
    $now2_time = strtotime($now2);
    $verify = "(`activation`<>'0')";  // User added but not verified yet
    $date_limit = "(`added_at` <= '". $now2_time ."')";
    $sql = "SELECT * FROM `cb_user` WHERE (". $verify . " and ". $date_limit .")";
    $result = $con->query($sql);
    $row_cnt = $result->num_rows;
    if ($result->num_rows > 0) {
        // output data of each row        
        while($row = $result->fetch_assoc()) {
            $message = "Dear ". $row["name"] .",\n
Thank you for your interest in our website ". $site .".mysite.com.\n
In order for your registration to be complete, timely we sent verification link for your email.
We send the activation link again so that, after checking, you may have access to all features of our website.\n
Activation link:\n";
            $message .= "http://". $site .".mysite.com/login/activate/". $row["id"] ."/". $row["activation"] ."/\n\n";
            $message .= "If the link is not working copy and past the link to your browser's address bar.\n\n";
            $message .= "If you have any difficulty, please do not hesitate to contact us.\n
NOTE: All accounts not activated within 7 days will be deleted.\n
Sincerely,\n
MySite Team
http://mysite.com/\n\n\n";
            $subject = "Your account on our website ". $site .".mysite.com";
            $sender = "mysite.com";
            $sender_email = "noreply@mysite.com";
            $to = $row["email"]; // $row["email"]
            $header = "From: " . $sender . " <" . $sender_email . ">\n";
            $header .= "Return-Path: $sender_email\n";           
            $message = stripslashes($message);
            $subject = stripslashes($subject);
            mail_utf8($to, $subject, $message, $header);
        }
        echo $row_cnt ." Resend Email (Accounts)<br>";
    } else {
        echo "0 Resend Email (Accounts)<br>";
    }
    $con->close();
   
}

function mail_utf8($to, $subject = '(No subject)', $message = '', $header = '') {
  $header_ = 'MIME-Version: 1.0' . "\r\n" . 'Content-type: text/plain; charset=UTF-8' . "\r\n";
  mail($to, '=?UTF-8?B?'.base64_encode($subject).'?=', $message, $header_ . $header);
}

?>
</body>
</html>